Surf Crypto News Feed
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/news/feed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"limit": 20,
"offset": 0,
"project": "<string>",
"sort_by": "recency",
"to": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/news/feed"
payload = {
"from": "<string>",
"limit": 20,
"offset": 0,
"project": "<string>",
"sort_by": "recency",
"to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
limit: 20,
offset: 0,
project: '<string>',
sort_by: 'recency',
to: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/surf/news/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/news/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => '<string>',
'limit' => 20,
'offset' => 0,
'project' => '<string>',
'sort_by' => 'recency',
'to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/news/feed"
payload := strings.NewReader("{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/news/feed")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/news/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Surf
Surf Crypto News Feed
Surf Crypto News Feed
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
surf
/
news
/
feed
Surf Crypto News Feed
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/news/feed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"limit": 20,
"offset": 0,
"project": "<string>",
"sort_by": "recency",
"to": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/news/feed"
payload = {
"from": "<string>",
"limit": 20,
"offset": 0,
"project": "<string>",
"sort_by": "recency",
"to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
limit: 20,
offset: 0,
project: '<string>',
sort_by: 'recency',
to: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/surf/news/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/news/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => '<string>',
'limit' => 20,
'offset' => 0,
'project' => '<string>',
'sort_by' => 'recency',
'to' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/news/feed"
payload := strings.NewReader("{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/news/feed")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/news/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"<string>\",\n \"limit\": 20,\n \"offset\": 0,\n \"project\": \"<string>\",\n \"sort_by\": \"recency\",\n \"to\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}请求规范
- 方法与路径: POST /apis/v1/surf/news/feed
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/surf/news/feed - Runtime 事实版本: 986d7b557d4db8647aee169884ac6410895d723df086210d7e098b01fc34c6c5
{
"operationId": "post_surf_apis_v1_surf_news_feed",
"method": "POST",
"path": "/apis/v1/surf/news/feed",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"additionalProperties": false,
"properties": {
"from": {
"minLength": 1,
"type": "string"
},
"limit": {
"default": 20,
"maximum": 50,
"minimum": 1,
"type": "integer"
},
"offset": {
"default": 0,
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"project": {
"minLength": 1,
"type": "string"
},
"sort_by": {
"default": "recency",
"enum": [
"recency",
"trending"
],
"type": "string"
},
"source": {
"enum": [
"coindesk",
"cointelegraph",
"theblock",
"decrypt",
"dlnews",
"blockbeats",
"bitcoincom",
"coinpedia",
"ambcrypto",
"cryptodaily",
"cryptopotato",
"phemex",
"panews",
"odaily",
"tradingview",
"chaincatcher",
"techflow"
],
"type": "string"
},
"to": {
"minLength": 1,
"type": "string"
}
},
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Minimum string length:
1必填范围:
1 <= x <= 50必填范围:
0 <= x <= 9007199254740991Minimum string length:
1可用选项:
recency, trending 可用选项:
coindesk, cointelegraph, theblock, decrypt, dlnews, blockbeats, bitcoincom, coinpedia, ambcrypto, cryptodaily, cryptopotato, phemex, panews, odaily, tradingview, chaincatcher, techflow Minimum string length:
1响应
Normalized successful response